dbXML API

## com.dbxml.db.embedded
Class EmbeddedConfiguration

    java.lang.Object
      com.dbxml.db.embedded.EmbeddedConfiguration

public final class EmbeddedConfiguration
extends java.lang.Object

EmbeddedConfiguration

Constructor Summary
`EmbeddedConfiguration()`
`EmbeddedConfiguration(java.lang.String dbName)`
`EmbeddedConfiguration(java.lang.String dbName, java.io.File dbRoot)`

Method Summary
`void` `addQueryResolver(java.lang.Class resolver)`
`Configuration` `getConfig()`
`java.lang.String` `getDatabaseName()`
`java.io.File` `getDatabaseRoot()`
`java.lang.Class` `getSecurityManager()`
`void` `setDatabaseName(java.lang.String dbName)`
`void` `setDatabaseRoot(java.io.File dbRoot)`
`void` `setSecurityManager(java.lang.Class security)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmbeddedConfiguration

    public EmbeddedConfiguration()

### EmbeddedConfiguration

    public EmbeddedConfiguration(java.lang.String dbName)

### EmbeddedConfiguration

    public EmbeddedConfiguration(java.lang.String dbName,
                                 java.io.File dbRoot)

Method Detail

### setDatabaseName

    public void setDatabaseName(java.lang.String dbName)

### getDatabaseName

    public java.lang.String getDatabaseName()

### setDatabaseRoot

    public void setDatabaseRoot(java.io.File dbRoot)

### getDatabaseRoot

    public java.io.File getDatabaseRoot()

### setSecurityManager

    public void setSecurityManager(java.lang.Class security)

### getSecurityManager

    public java.lang.Class getSecurityManager()

### addQueryResolver

    public void addQueryResolver(java.lang.Class resolver)

### getConfig

    public Configuration getConfig()

dbXML API

Copyright (c) 2004 The dbXML Group